# (c) Copyright 2005. CodeWeavers, Inc.
package CXMenuGnome;
use strict;
use CXLog;
use CXMenuKG;
use base "CXMenuKG";

sub new($$)
{
    my ($class, $tag)=@_;

    my $self={
        tag             => $tag,
        encoding        => "legacy-mixed",
        extension       => "desktop",
        extensions      => "\\.desktop",
        section_name    => "Desktop Entry"
    };
    bless $self, $class;
    return $self;
}

sub detect($$$$)
{
    my ($class, $cxoptions, $cxconfig, $gui_info)=@_;
    return () if (!$gui_info->{gnome_on});

    my @selves;
    # Create a separate instance for the menu and desktop
    # so they can be disabled independently.
    if ($gui_info->{gnome_preferred_menu})
    {
        my $self=new($class, $cxoptions->{tag});
        $self->{menu}         = $gui_info->{gnome_preferred_menu};
        push @selves, $self;
    }
    if ($gui_info->{gnome_preferred_desktop})
    {
        my $self=new($class, $cxoptions->{tag});
        $self->{desktop}      = $gui_info->{gnome_preferred_desktop};
        push @selves, $self;
    }
    return @selves;
}

return 1;
